EDIT - bug #8217

ToManyRelatedEntitiesComboboxSelect edit button not enabled
04/02/2019 01:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: major Found in Version:

Description

In the TaxonNamePopupEditor the edit button of the Basionyms should always be enabled even if the editor which would be opened
after pressing the button would be readonly.

Related issues:
Related to EDIT - bug #7910: TeamOrPersonField: readonly exception on bindig ... Closed
Copied to EDIT - bug #8244: Skip validation of ToManyRelatedEntitiesComboboxS... New

Associated revisions

Revision 6d74a77f - 04/02/2019 05:50 PM - Andreas Kohlbecker
ref #8217 proper setting of the readonly state for ToManyRelatedEntitiesListSelect fields

Revision e38b81a7 - 04/02/2019 06:04 PM - Andreas Kohlbecker
ref #8217 enabling ToManyRelatedEntitiesComboboxSelect and fixing read only state of AbstractCdmDTOPopupEditors

History

#1 - 04/02/2019 02:28 PM - Andreas Kohlbecker
- Related to bug #7910: TeamQOrPersonField: readonly exception on bindig data added

#2 - 04/02/2019 06:05 PM - Andreas Kohlbecker

- Tags changed from phycobank to phycobank, permission

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

Please review with user submitter and curator

#3 - 04/11/2019 04:01 PM - Wolf-Henning Kusber
- File picture585-1.png added
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 60

Curator:
Test
Replaced synonym without reference. Warning, selection of an existing reference, save. Works

Submitter:

Test

Replaced synonym without reference. Warning, selection field red but Editor in read only mode, permission of the submitter not sufficient (screen
shot)

Achnanthes arestasii Manguin as Replaced synonym
#4 - 04/11/2019 04:54 PM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

| consider this correct behavior but not user friendly. We should disable the vlaidation in case the editor is readonly. This requires a new ticket.

#5 - 04/23/2019 12:16 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 60 to 90

#6 - 04/23/2019 01:08 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 90 to 100
new ticket #8244

#7 - 04/23/2019 01:09 PM - Andreas Kohlbecker
- Copied to bug #8244: Skip validation of ToManyRelatedEntitiesComboboxSelect when editor is read only added

Files

picture585-1.png 66.9 KB 04/11/2019 Wolf-Henning Kusber
